Reply

Adding balloon to drawing view

[ Edited ]

 

Does anyone know using the public API how to associate a balloon to a drawing view on a draft? I'm not too familiar with Solid Edge but I've read about a "draw in view" mode for drawing views. Do I need to be in this mode before programmatically adding a balloon to the active sheet? Is there an API to go into this mode?

 

Thanks, Mark

 

Posted by: Mark Nalevanko
Post date: 8/4/2009 5:43:11 AM

1 REPLY

RE: Adding balloon to drawing view

[ Edited ]

Hey!

 

You do not need to be in the draw in view mode. Following VB6 code adds a balloon and changes it's properties (like text, size etc...)

 

Good luck!

 

Wouter

 

Public Sub DraftDimentions()

On Error Resume Next

 

Dim objApp As SolidEdgeFramework.Application

Dim objDoc As SolidEdgeDraft.DraftDocument

Dim objSheet As SolidEdgeDraft.Sheet

 

Dim objBalloons As SolidEdgeFrameworkSupport.Balloons

Dim objBalloon As SolidEdgeFrameworkSupport.Balloon

 

Dim strFName As String

 

Dim i As Integer

 

strFName = "myDraft.dft"

 

'Get SE ans open doc

Set objApp = GetObject(, "SolidEdge.Application")

 

If Err Then

Err.Clear

Set objApp = CreateObject("SolidEdge.Application")

End If

 

objApp.Visible = True

objApp.Activate

objApp.DisplayAlerts = True

objApp.DisplayFullScreen = True

 

'Set

'Set objDoc = objApp.Documents.Open(strFName)

Set objDoc = objApp.ActiveDocument

Set objSheet = objDoc.Sections.WorkingSection.Sheets(1)

Set objBalloons = objSheet.Balloons

 

'Add balloon

objBalloons.Add 0.1, 0.1, 0.1 'Values are in meters

'Change properties of baloon

For i = 1 To objBalloons.Count

Set objBalloon = objBalloons.Item(i)

objBalloon.BalloonType = igDimBalloonCircle

objBalloon.BalloonText = "TEST"

Next

 

'Destroy Variables

Set objApp = Nothing

Set objDoc = Nothing

Set objSheet = Nothing

Set objBalloons = Nothing

Set objBalloon = Nothing

 

End Sub

 

Posted by: Wouter Sloof
Post date: 8/4/2009 9:38:03 PM